Subject: Re: Mirror polish on Aluminum

From: [email-masked] (Ray Chong)
Date: 14 Dec 1994 22:36:57 GMT

Russ Kepler ([email-masked]) wrote:
: You shouldn't have too much trouble getting polish on it, but I expect
: that flatness would be the biggest problem. 

Speaking of mirror polishes on aluminium, how does one go about getting
that mirror polish?  I have experience with copper, brass, nickel, gold 
and silver, but don't have any with Al.  What kind of compounds/media 
should I use?  I'm interested in refinishing some small bicycle components.
Thank you.

**********************************************************************
* Ray Chong                            [email-masked] *
* "My opinions are my own, wholly my own, and nothing but (my own)." *
**********************************************************************